Enrichment Tables / REST API
Send table to campaign
Send all rows from an enrichment table to a campaign as prospects.
POST /api/mcp/tables/{tableId}/send-to-campaignDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
tableIdRequired · string- See the input schema for this field.
campaignIdRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/mcp/tables/00000000-0000-4000-8000-000000000000/send-to-campaign" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"campaignId":"00000000-0000-4000-8000-000000000000"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"tableId": {
"type": "string"
},
"campaignId": {
"type": "string"
}
},
"required": [
"tableId",
"campaignId"
]
}